{#
Template for the upload page where contributors can upload
their songs to the NICE system via the web page by offering
an upload button.
Author: Jero Schäfer
Last modified: 12.07.2020
#}
{% extends "base.html" %}
{% import "form_styling_macro.html" as macros %}

{% block page_content %}
    <main role="main">
        <section class="jumbotron text-center">
            <div class="container">
                <h1 class="jumbotron-heading">Upload a Song</h1>
                <p class="lead text-muted">
                    Contribute to the NICE system by uploading your own songs here.
                </p>
                <form class="form" method="post" role="form"
                      enctype="multipart/form-data">
                    {{ form.csrf_token() }}
                    {{ macros.render_field(form.song, with_label="True") }}
                    {{ macros.render_field(form.song_title, with_label="True") }}
                    {{ macros.render_field(form.song_interpreter, with_label="True") }}
                    {{ macros.render_field(form.song_writer, with_label="True") }}
                    {{ macros.render_field(form.song_producer, with_label="True") }}
{#                    {{ macros.render_field(form.song_year, with_label="True") }}#}
                    <br/>
                    {{ macros.render_field(form.con_public_key, with_label="True") }}
                    {{ macros.render_field(form.con_private_key, with_label="True") }}
                    <br/>
                    {{ macros.render_field(form.submit) }}
                </form>
            </div>
        </section>
    </main>
{% endblock %}